Intrusion Prevention

Oracle.Java.ZIP.File.Parsing.Stack.Overflow.DoS

Description

This indicates an attack attempt to exploit a Denial of Service vulnerability in Oracle Java Runtime Environment.
The vulnerability is due to an error when the vulnerable software handles a maliciously .zip file. As a result, a remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted .zip file.

Affected Products

Oracle Java Runtime Environment (JRE) 5 Update 33 and earlier versions
Oracle Java Runtime Environment (JRE) 6 Update 30 and earlier versions
Oracle Java Runtime Environment (JRE) 7 Update 2 and earlier versions
Oracle OpenJDK 7u2 build b13 and earlier versions
Oracle OpenJDK-6 build b24 and earlier versions

Impact

Denial of Service: Remote attackers can crash vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
http://www.oracle.com/technetwork/topics/security/javacpufeb2012-366318.html

CVE References

CVE-2012-0501